Subject: bug#53671: 26.3; Doc of `pre-redisplay-functions'

From: Drew Adams <[email-masked]>
Date: Mon, 31 Jan 2022 22:06:03 +0000

The doc (string and Elisp manual) does not say what args the functions
are expected to accept.  It says only that the hook "is called once in
each window that is about to be redisplayed".  Calling a funtion "in" a
window is not the same as passing the window to the function.  As it
stands now, the most usual reading of that "in" is that the function is
called with the window selected.  And if nothing is said about arguments
then a reasonable assumption is that no arguments are passed.

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.19043
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''